Subject: Re: bug#15461: 24.3; [PATCH] exec-path on ms windows should contain current directory

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Dec 2013 10:19:19 +0200

> Date: Thu, 26 Dec 2013 23:27:48 +0100
> From: Jarek Czekalski <[email-masked]>
> 
> This was a thorough review of the patch and exhausting answers. Thank you.

And thank you for working on this in the first place.

> Half of this node regards shell completion options. It would be good to 
> group these options in some way. I just wanted to give them a heading 
> and separate from others. But after your remark I removed the node and 
> the anchor. The grouping may be done later.

If you still have some problems with using anchor-generated references
in the Emacs Info reader, please tell the details (in another thread).

> Attached the modified patch, the commit message could be:
> 
> Shell completion for filenames from current directory, related docs.
> 
>      * doc/emacs/mini.texi (Completion Options): Add a link to Shell 
> Options.
>      * doc/emacs/misc.texi (Shell Mode): Move documentation of
>      shell-completion-fignore from Shell Mode to Shell Options.
>      * lisp/shell.el  Shell completion now matches executable filenames from
>      the current buffer's directory, on systems in which this behaviour
>      is the default (windows-nt, ms-dos).
>      * src/callproc.c (Vexec_path): Documentation of the library path in it.

Looks good, please commit, with this single gotcha:

> ! By default the last element of this list is Emacs library path. The

I'd prefer that we talk about exec-directory here, not "library path",
which is mostly unknown terminology to Emacs users.  By contrast,
exec-directory is a documented variable.

Thanks.